구글코랩Google colab Mecab 객체생성 에러

조회수 277회

구글 코랩에 mecab 설치는 정상적으로 되는데, 어제까지만 해도 아무 이상없이 mecab객체 생성이 잘 되다가 오늘 갑자기 안 됩니다. 아래와 같은 에러가 뜨는데, 어제만 해도 mecab객체 생성 시 아무 에러가 없었는데 갑자기 왜 에러가 뜨는지 모르겠습니다.

온갖 방법을 다 구글링 해서 시도해봐도 하나도 먹히는게 없네요.. 도움 주실 분 있으실까요? ㅠㅠ 아래가 에러내용 전문입니다.

---------------------------------------------------------------------------
NameError                                 Traceback (most recent call last)
/usr/local/lib/python3.10/dist-packages/konlpy/tag/_mecab.py in __init__(self, dicpath)
     76         try:
---> 77             self.tagger = Tagger('-d %s' % dicpath)
     78             self.tagset = utils.read_json('%s/data/tagset/mecab.json' % utils.installpath)

NameError: name 'Tagger' is not defined

During handling of the above exception, another exception occurred:

Exception                                 Traceback (most recent call last)
1 frames
/usr/local/lib/python3.10/dist-packages/konlpy/tag/_mecab.py in __init__(self, dicpath)
     80             raise Exception('The MeCab dictionary does not exist at "%s". Is the dictionary correctly installed?\nYou can also try entering the dictionary path when initializing the Mecab class: "Mecab(\'/some/dic/path\')"' % dicpath)
     81         except NameError:
---> 82             raise Exception('Install MeCab in order to use it: http://konlpy.org/en/latest/install/')
     83 
     84     def __setstate__(self, state):

Exception: Install MeCab in order to use it: http://konlpy.org/en/latest/install/

답변을 하려면 로그인이 필요합니다.

프로그래머스 커뮤니티는 개발자들을 위한 Q&A 서비스입니다. 로그인해야 답변을 작성하실 수 있습니다.

(ಠ_ಠ)
(ಠ‿ಠ)